Service announcements  RSS

2017-07-26 13:07: Joomla! 3.7.4 - security update
Joomla! 3.7.4 is available as a security update.

This means that from now on, older Joomla! versions than 3.7.4 may not be used with our hosting services. Upgrade now!

Source: joomla.org

All service announcements

© 2017 Domeneshop AS · About us · Terms & Conditions · About cookies